Skip to content
Aukru feature image

Aukru

4.9

* We independently evaluate all recommended products and services. If you click on links we provide, we may receive compensation.

Products of the Aukru range from £5.99 to £12.99, so your total expense can vary depending on the products chosen, which allows you to choose products according to your budget. Aukru provides their products for a reasonable price, which means the products cost around £9.51 on average. They are affordable options to make your shopping much easier.

Aukru has a relatively small number of products for sale, only 24. We analyzed some of them in detail and recommended them to our readers. The Aukru review will examine the core factors of the brand and its products to help you make an informative buying decision.

Share

Aukru Best Sellers

Last Updated: 14 Jun 2023

Aukru Charger 5V 3000mA Power Supply 3A Micro USB Charger for Raspberry Pi 3 Model B /3 B+/ Pi 2 Model B/B+ Plus, Banana pi

  • Output: 5V 3A, Cable length about 150 CM
  • 3000mA - Charger rapide special for Raspberry Pi 3 Model B/3 B+, Pi 2 Model B / B + / Banana pi
  • This power adapter is CE/FCC/RoHS certified, tested by manufacturer to match and/or exceed specifications of OEM products

Aukru USB Charging Cable Replacement Cable for HATTEKER RFC-690 RFC-588 RFC-598 Hair Trimmer Clipper

  • Compatible with HATTEKER hair clipper beard trimmer RFC-690
  • Aukru USB Charging Cable for Hattteker Hair Trimmer Beard Trimmer such as RFC-690, RFC-691, RFC-692, RFC-588, RFC-598
  • Use with 5v mains charger

Aukru 12V 3A Power Supply AC to DC 5.5mm Adapter 36W Transformer Charger for Mighty Vaporizer, LED Strip Lights, CCTV Security Camera DVR NVR, LCD Monitor TV, Roberts Radio Power Charger

  • DC Output: 12V 3000mA 36W; Polarity: Center Positive; Cable Length:1.5M/4.9Ft. Package:1x charger as pictured
  • Size of Connector: Inside 2.5 mm (0.098 inch); Outside: 5,5 mm (0.267 inch), Please Make Sure the DC Jack Could fit Your Applications Before Purchase
  • IMPORTANT. The old and new versions of this charger are shipped randomly, and the picture shows the new version.We are committed: If you are not satisfied or the quality of the problem, there are good suggestions, contact us, 100% refund or free replacement.

Aukru Replacement HQ8505 Charger 15v for Philips Multigroom MG7720 MG7710 MG7750, One Blade Pro QP6510 QP6520 Shaver Trimmer

  • Input: 100-240V~ 50/60Hz;Output: 15V 0.5A/500ma.Cable Length: about 150cm / 5ft.
  • Compatible with Philips Multigroom MG7720, MG7710, MG7750.OneBlade Pro Hybrid Trimmer Shaver QP6520/20,QP6520/30,QP6510/20,QP6510/30
  • Replacement: HQ8505.Not work with model a00390 power unit

Aukru 5.1V 3A Type C/USB C Power Supply Charger with ON/OFF Power Switch for Raspberry Pi 4 Model B

  • With ON/OFF power switch, without having to pull the cable to restart the device
  • 5.1V 3A type C charger specially designed for the new Raspberry Pi 4 
  • Package include:1x 5.1v 3a type c charger with on off switch

Aukru 5V Power Supply Charger Adapter for Remington Hair and Beard Trimmer HC5810

  • Output: 5V 1000mA. Input: 100V - 240V, 50 / 60Hz
  • Charger for Remington Quick Cut Hair Clipper HC5810
  • Not for other brand. If there is any question, don't hesitate to contact us.Thanks

Aukru Power Supply Adapter 5V 3A Micro USB Charger with On Off Power Switch for Raspberry Pi 3 Model B /3 B+/ Pi 2 Model B/B+ Plus

  • Output: 5V , 3000ma max, compatible with 2500ma, 2000ma, 1500ma and 1000ma
  • Micro USB power supply 5V 3000ma with Switch button for Raspberry Pi 3 / Pi 2 Model B / B + (B plus)
  • Input: 100-240V 50 / 60Hz

Aukru Universal 5v 2a Multi-function Replacement Power Supply with 8 tips Switching Connector DC Plugs Adapter for Household Electronic Devices Routers Speakers LCD CCTV Cameras TV Box

  • 10W replacement power supply adapter for many kinds of household electronics, like Android Box, Router, Speaker, Radio, CCTV camera LCD, Tascam Recorder and micro USB connectors for most smart phones etc.
  • USB Power adapter - USB 5V 2A; 100-240V 50 / 60Hz
  • USB cable male A to connector 5.5mm * 2.1mm for 1M

Aukru Charger Power 15V for Philips Shaver AT750 AT752, AT753, AT890, PT860, PT927, PT923, RQ1185, RQ1175, PT919, RQ1250, PT727, RQ1275, PT739, PT725, HS8420, RQ1155, PQ208, RQ1280 PQ205 PT920

  • Input : AC 100 - 240V 50/60Hz; Output : 15V 500mA(0.5A)
  • Replacement: HQ8505, CRP136. Do not NOT fit Philips oneblade shaver.
  • NOT Not work for A00390 MG5730/BT3206/RQ310/RQ320/RQ330/RQ350/HQ6990/HQ6695/HQ6826/HQ6970/ QT4004,QT-Serie,the model list is not written completely.

Aukru 15V 0.5A 3 Pin Power Supply Wall Charger with 1.5m Cable for Philips Shaver HQ-Serie HQ8505, HQ8, HQ9, HQ56, HQ8445, HQ8825, HQ8830, HQ8835

  • Input: AC 100V - 240V 50/60Hz , Output: 7.5W (15V / 0.5A),Cable length: 150 cm
  • Noting: Charger do not fit Philips oneblade QP2520,QP2630,MG3710,MG5730
  • Replace: HQ8505, CRP136

Aukru Adapter UK Plug 4.3v Charger for Philips Multigroom Trimmer Shaver MG3730,MG3757,Replacement for A00390

  • As replacement Only for A00390 supply unit
  • Compatibility - for Philips multi grooming trimmer MG3710,MG3710/15,MG3720,MG3721,MG3722/33,MG3730,MG3747,MG3748,MG3757,MG3758,MG5720/MG5730/MG5735/MG5740.
  • PAY ATTENTION: Shaver maynot be started immediately after charging, it will take a few minutes to normal

Aukru 5V 2000mA Micro USB Power Supply Charger Adapter For Raspberry Pi 2 Model B/Pi 2 B+ Plus, Banana pi

  • Input: AC 100-240V 50 / 60Hz 0.3A Max
  • 2000mA - enough to power both of your Raspberry Pi and USB devices.Specially for raspberry pi 2 model b/pi 2 b+ 
  • Output: DC 5V 2000mA

Aukru 12V 2000mA Power Supply 5.5mm AC DC Power Adapter Replacement TFT & LCD Monitor Expansion External Hard Drive Water Pump Charger

  • Input: AC 100-240V 50/60Hz ;Output : DC 12V 2A AC-DC
  • Aukru 12V 2A 24W replacement power adapter for many kinds of household electronics, like Expansion External Hard Drive, CCTV Security Camera, Printers, Scanners, Routers, HUB, Telephones, Fax machines, TFT, LCD monitors and many other IT devices
  • Warning: Jack plug size 5.5mm x 2.5mm, with 4 tips connector, 4.0*1.7mm,3.5*1.35mm,2.5*0.8mm,Led Connector

Aukru 5V Mains Wall Charger 2A with Micro USB Power Cable for Samsung Galaxy S7/S6 / S5 / S4 / S3 /Tab 3, Note 4/3/2, Nokia Lumia 635, Sony Xperia S, Raspberry Pi 2

  • Micro USB connector -- suitable for most smartphone and tablet PC which with micro USB charging port, for Samsung Galaxy S7 S6 S5 S4 S3, Galaxy Tab 3, Note 4/3/2, Nokia Lumia 520 521 625 635 800 920 925 928 1020 1520, Google Nexus 7 / 10,external battery and etc.
  • 2A --high current output current for faster charging; Compatible with 1A and 1.5A device.
  • Package: 1x 5v adapter plug + 1x micro USB cable

Aukru Charger Power Supply 4.3V ONLY for Philips One Blade QP2520 Shaver Replace A00390 Power Cord

  • Replacement P / N: model A00390 original charger
  • Charger only for Philips one blade shaver QP2520 series,QP2520, QP2520 / 30, QP2520 / 70, QP2520 / 90
  • Output: 4.3V, Cable length: about 5 ft.

Aukru 5V 2A 2.5mm Power Supply Charger Adapter for Nabi 2 Android Tablet PC

  • Input: AC 100-240V 50/60Hz 0.3A; Output: DC 5V 2000A
  • Note: please check your device connector is the same with this charger
  • Only Compatible With: Linx 10 inch Tablet, Nabi 2 tablet

Aukru 12V 2A Charger AC Adapter for Acer Iconia Tab W3-810, A100, A101, A200, A210, A211, A500, A501 Tablet PC Power Supply

  • 12v power adapter specially work for ACER Iconia Tab W3-810,Tab A100, A101, A211, A500, A501
  • Input: 100~240V, 50/60Hz
  • Output: 12V, 2A (Compatible: 1.5a-2a, the power of 2000mA is better than 1500mA)

Aukru 15V Power Supply Charger for Philips QC5115 / 15,PT920 S7370 S9111 S5091 S5070 S7530 S9031 S9311, PT860 PT927 PT923 PT739 PT725 PT720 PT730, RQ360 RQ1150 RQ1175 RQ1250 RQ1187 Shaver Razor

  • Output: 15V. Input: AC 100V - 240V 50/60Hz
  • Charger for Philips QC5115 / 15 hair clipper
  • UK plug 15V Power supply Travel Charger for Philips razor PT720,PT920,S7370,PT860 ,RQ1250

Aukru 5V 2A Charger 5.5mm Power Supply AC DC Adapter TV Box Charger for MAG 250, MX3, MX2, MXQ, M8, M8C CS918 and M5 with 3 Tips Connector(Compatible with 1.5A 1A 2000mA)

  • Input: AC 100~240V 50/60Hz
  • Connector plug diamter: 5.5mm x 2.5mm, with 3 tips Switching Connector :3.5*1.35mm,2.5*0.8mm,4.0*1.7mm
  • Output: DC 5V 2000mA,Please confirm that the voltage required by the device is 5v, the current is lower than 2A/2000ma, and the correct size of the connector

Aukru 4.3V Power Supply Charger A00390 for Philips RQ310 Electric Shaver, RQ311, RQ312, RQ320, RQ328, RQ330, RQ331, RQ338, RQ350

  • Replacement for A00390 supply unit
  • 4.3V Power Supply Charger for Philips RQ310 Electric Shaver, RQ311, RQ312, RQ320, RQ328, RQ330, RQ331, RQ338, RQ350
  • PAY ATTENTION:Not compatible with One Blade QP2530, Pro QP6510 and QP6520

Aukru FAQs